Failed to build module "JitsiMeet" from its module interface

I have a problem with JitsiMeet in Xcode, i have a macOS Big Sur and using Xcode version 12.5.1 (12E507) and it keeps giving me this error:
Failed to build module ‘JitsiMeet’ from its module interface; the compiler that produced it, ‘Apple Swift version 5.2.2 (swiftlang-1103.0.32.6 clang-1103.0.32.51)’, may have used features that aren’t supported by this compiler, ‘Apple Swift version 5.4.2 (swiftlang-1205.0.28.2 clang-1205.0.19.57)’.
I tried a lot of solutions, but they didn’t help at all, so i hope somebody here will help me

Looks like you have to use an earlier version of Xcode to compile. Either that or see if you can downgrade Swift to 5.2.2.

how can i do it? i need to download xcode again?